#{extends 'border.html'/}
<div class="container-fluid">
#{form @admin.UsulanCtr.saveAgenda(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{admin.UsulanCtr.index()}">&{'usulan.label'}</a></li>
                <li><a href="@{admin.UsulanCtr.detail(usulan.id)}">${usulan.nama_usulan}</a></li>
                <li class="active">&{'buat.label'} &{'agenda_kegiatan.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@admin.UsulanCtr.detail(usulan.id)/}
                #{saveButton/}
            </div>
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">

        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <h4>&{'buat.label'} &{'agenda_kegiatan.label'}</h4>
                    <hr>
                    <div class="form-group required">
                        <label class="col-md-2 control-label">&{'tanggal.label'}</label>
                        <div class="col-md-2">
                            <input type="text" name="tanggal" id="tanggal" value="${tanggal_kegiatan}" class="form-control" required>
                    </span>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-2 control-label">&{'waktu.label'}</label>
                        <div class="col-md-2">
                            <input type="text" name="jam" id="jam" value="${agendaKegiatan?.waktu_kegiatan}" class="form-control" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-2 control-label">&{'lokasi.label'}</label>
                        <div class="col-md-5">
                            <input type="text" class="form-control" name="lokasi" value="${agendaKegiatan?.lokasi}" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-2 control-label">&{'judul.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="judul" class="form-control" value="${agendaKegiatan?.judul_kegiatan}" required>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">&{'keterangan.label'}</label>
                        <div class="col-md-5">
                            <textarea id="isi_konten" name="isi_konten" rows="10" class="form-control">${agendaKegiatan?.keterangan}</textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">&{'unggah.label'} &{'lampiran.label'}</label>
                        <div class="col-md-5">
                            <input type="file"
                                   id="file_lampiran" name="file_lampiran"
                                   accept=".doc,.docx,.pdf,.xlx,.xlsx,.zip,.jpg,.jpeg" class="form-control"/>
                        </div><br><br>
                        <div class="col-md-4 col-lg-offset-2">
                            <div class="error-image" style="display: none;"><span style="color: red;">&{'file_ukuran_lebih_dari.label'} 10 MB !</span><br></div>
                            <div class="error-image-extention" style="display: none;"><span style="color: red;">&{'format_file_salah.label'} !</span><br></div>
                            <span style='font-size:20px;'>&#8226;</span> Type : (<span style="color: red">.doc|.docx|.pdf|.xlx|.xlsx|.zip|.jpg|.jpeg</span>)
                            <br>
                            <span style='font-size:20px;'>&#8226;</span> Size : (<span style="color: red"> Max. 10 MB </span>)
                        </div>
                    </div>
                    #{if agendaKegiatan.blb_id_content != null}
                    <div class="form-group">
                        <label class="col-md-2 control-label"></label>
                        <div class="col-md-10">
                            <ul id="files" class="row list-group files">
                                <li class="list-group-item col-md-4" style="margin-right: 1em; margin-bottom: 1em; max-height: 52px;">
                                    <div class="col-md-10">
                                            <div class="dok-file" style="padding-top: 7px;">${agendaKegiatan?.nama_file}
                                            </div>
                                    </div>
                                    <div class="col-md-2">
                                        <a class="removeDok pull-right" versi="0" fileid="${agendaKegiatan?.blb_id_content}" href="javascript:void(0)">
                                            <i class="fa fa-trash-o"></i></a>
                                                </div><input name="pengadaan" value="1245" type="hidden">
                                    <div class="clearfix"></div>
                                </li>

                            </ul>
                        </div>
                    </div>
                    #{/if}
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" name="usulan_id" id="data_id" value="${agendaKegiatan?.usulan_id}">
    <input type="hidden" id="file_id" value="${agendaKegiatan?.blb_id_content}">
    <input type="hidden" name="agenda_id" id="agenda_id" value="${agendaKegiatan?.id}">
#{/form}
</div>

#{validationPackage/}

#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function(){

        var fileId = $('#file_id').val();
        var agendaId = $('#agenda_id').val();

        if(fileId){
            $('#file_lampiran').prop('disabled',true);
        }

        $('#tanggal').datepicker({
            locale:'id',
            format:'dd-mm-yyyy'
        });

        $('#jam').datetimepicker({
            locale:'id',
            format:'LT'
        });

        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        $("body").on("click",".removeDok",function(){
            var btId = $(this).attr("fileid");
            // console.log("id file "+btId);
            $.ajax({
                url: '@{admin.UsulanCtr.removeDokumenAgenda()}',
                data: {"agId":agendaId,
                        "btId": fileId,},
                type: 'GET',
                success: function () {
                    $('#alert-').attr('class', 'alert alert-success').html("Berhasil menghapus file.");
                    $(".files").remove();
                    $('#file_lampiran').prop('disabled',false);
                },
                error: function () {
                    $('#alert-').attr('class', 'alert alert-danger').html("Gagal menghapus file.");
                }
            });
        });
    });
</script>
<script type="text/javascript">
    $('#file_lampiran').bind('change', function() {
        var countError = 0;
        $('.error-image').fadeOut(500);
        $('.error-image-extention').fadeOut(500);

        var fileSize = document.getElementById("file_lampiran").files[0];
        var sizeInMb = (fileSize.size/1024)/1024;
        var sizeLimit= 10;
        if (sizeInMb > sizeLimit) {
            countError = 1;
            $('.error-image').fadeIn(500);
            $('.error-image-extention').fadeOut();
        }

        var filename = $("#file_lampiran").val();
        var extension = filename.replace(/^.*\./, '');
        if (extension == filename) {
            extension = '';
        } else {
            extension = extension.toLowerCase();
        }
        switch (extension) {
            case 'pdf':
            case 'doc':
            case 'docx':
            case 'xlx':
            case 'xlsx':
            case 'zip':
            case 'jpg':
            case 'jpeg':
                break;

            default:
                countError = 1;
                $('.error-image').fadeOut(500);
                $('.error-image-extention').fadeIn(500);
        }

        if (countError){
            $('#file_lampiran').val('');
        }
    });
</script>
#{/set}